Object Type Helpers(3)

NAME
Object Type Helpers -

  Functions
static inline int hwloc_get_type_or_below_depth (hwloc_topology_t topology, hwloc_obj_type_t type)
static inline int hwloc_get_type_or_above_depth (hwloc_topology_t topology, hwloc_obj_type_t type)

Detailed Description

Be sure to see the figure in termsanddefs that shows a complete topology tree, including depths, child/sibling/cousin relationships, and an example of an asymmetric topology where one socket has fewer caches than its peers.

Function Documentation

  static inline int hwloc_get_type_or_above_depth (hwloc_topology_ttopology, hwloc_obj_type_ttype) [static]

Returns the depth of objects of type type or above. If no object of this type is present on the underlying architecture, the function returns the depth of the first 'present' object typically containing type.

If some objects of the given type exist in different levels, for instance L1 and L2 caches, the function returns HWLOC_TYPE_DEPTH_MULTIPLE.

  static inline int hwloc_get_type_or_below_depth (hwloc_topology_ttopology, hwloc_obj_type_ttype) [static]

Returns the depth of objects of type type or below. If no object of this type is present on the underlying architecture, the function returns the depth of the first 'present' object typically found inside type.

If some objects of the given type exist in different levels, for instance L1 and L2 caches, the function returns HWLOC_TYPE_DEPTH_MULTIPLE.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.